<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMissionSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d41/a06270.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMissionSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Mission settings class.  
 <a href="../../df/d41/a06270.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionMissionSettings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d41/a06270.png" usemap="#ExpansionMissionSettings_map" alt=""/>
  <map id="ExpansionMissionSettings_map" name="ExpansionMissionSettings_map">
<area href="../../dc/d50/a04474.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,157,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4d52575cdff9f5b992b3187c834fd260"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a4d52575cdff9f5b992b3187c834fd260">ExpansionMissionSettings</a> ()</td></tr>
<tr class="separator:a4d52575cdff9f5b992b3187c834fd260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63aad352f58c2e7ebc9b256dbe9be766"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a63aad352f58c2e7ebc9b256dbe9be766">~ExpansionMissionSettings</a> ()</td></tr>
<tr class="separator:a63aad352f58c2e7ebc9b256dbe9be766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7016aae9b8ea19658855aa680fdc8f28"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a7016aae9b8ea19658855aa680fdc8f28">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a7016aae9b8ea19658855aa680fdc8f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03456d0d046bfe434a416228534514ea"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a03456d0d046bfe434a416228534514ea">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a03456d0d046bfe434a416228534514ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7150108f45bc5d03fc57d689aa7b1dc2"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a7150108f45bc5d03fc57d689aa7b1dc2">Copy</a> (<a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a7150108f45bc5d03fc57d689aa7b1dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaba25b686fb4eb3c7e45890b44deb80"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#aaaba25b686fb4eb3c7e45890b44deb80">CopyInternal</a> (<a class="el" href="../../df/d41/a06270.html">ExpansionMissionSettings</a> s)</td></tr>
<tr class="separator:aaaba25b686fb4eb3c7e45890b44deb80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac59ad1ca4f2bb5d95963d5659d4031ba"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#ac59ad1ca4f2bb5d95963d5659d4031ba">IsLoaded</a> ()</td></tr>
<tr class="separator:ac59ad1ca4f2bb5d95963d5659d4031ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d77ad821345f6a259ca85bae418611"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a04d77ad821345f6a259ca85bae418611">Unload</a> ()</td></tr>
<tr class="separator:a04d77ad821345f6a259ca85bae418611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51dd2e63665f4e3bfb01a4de38cd1eb5"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a51dd2e63665f4e3bfb01a4de38cd1eb5">OnLoad</a> ()</td></tr>
<tr class="separator:a51dd2e63665f4e3bfb01a4de38cd1eb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98852f9865b856d4e38d72e20ab3fb57"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a98852f9865b856d4e38d72e20ab3fb57">OnSave</a> ()</td></tr>
<tr class="separator:a98852f9865b856d4e38d72e20ab3fb57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61915a1c311d635b197a97b6dfc7b685"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a61915a1c311d635b197a97b6dfc7b685">Defaults</a> ()</td></tr>
<tr class="separator:a61915a1c311d635b197a97b6dfc7b685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a019c1608c8277b308612c214b6fe5368"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a019c1608c8277b308612c214b6fe5368">DidGenerateDefaults</a> ()</td></tr>
<tr class="separator:a019c1608c8277b308612c214b6fe5368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050bc1063e49478a603f04c3fb9094e0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a050bc1063e49478a603f04c3fb9094e0">SettingName</a> ()</td></tr>
<tr class="separator:a050bc1063e49478a603f04c3fb9094e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac00501e04591c646a3513de71bc6819e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#ac00501e04591c646a3513de71bc6819e">Enabled</a></td></tr>
<tr class="separator:ac00501e04591c646a3513de71bc6819e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7972ab5533f19a88ab62d5c92c008f00"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a7972ab5533f19a88ab62d5c92c008f00">InitialMissionStartDelay</a></td></tr>
<tr class="separator:a7972ab5533f19a88ab62d5c92c008f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa86a376577f1125ec17397e9d79333c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#aaa86a376577f1125ec17397e9d79333c">TimeBetweenMissions</a></td></tr>
<tr class="separator:aaa86a376577f1125ec17397e9d79333c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab5cd23ee9a3f634256dd2a1361d824"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#aeab5cd23ee9a3f634256dd2a1361d824">MinMissions</a></td></tr>
<tr class="separator:aeab5cd23ee9a3f634256dd2a1361d824"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa20c333ff3d040f25453e48457f92675"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#aa20c333ff3d040f25453e48457f92675">MaxMissions</a></td></tr>
<tr class="separator:aa20c333ff3d040f25453e48457f92675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a713093377a3e6149b505b2bd9707b4b4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a713093377a3e6149b505b2bd9707b4b4">MinPlayersToStartMissions</a></td></tr>
<tr class="separator:a713093377a3e6149b505b2bd9707b4b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2869d78ca7f285bc04e9f91c99bc70"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d1/d66/a06266.html">ExpansionMissionMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#aef2869d78ca7f285bc04e9f91c99bc70">Missions</a></td></tr>
<tr class="separator:aef2869d78ca7f285bc04e9f91c99bc70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93ae2791d153c8d5431cbad015473fa6"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a93ae2791d153c8d5431cbad015473fa6">m_GenerateDefaults</a></td></tr>
<tr class="separator:a93ae2791d153c8d5431cbad015473fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2466c22fa5689ec13e397db1fa653d51"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a2466c22fa5689ec13e397db1fa653d51">m_IsLoaded</a></td></tr>
<tr class="separator:a2466c22fa5689ec13e397db1fa653d51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a67a39ce27034dae84e91b9185e513976"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a67a39ce27034dae84e91b9185e513976">VERSION</a> = 2</td></tr>
<tr class="separator:a67a39ce27034dae84e91b9185e513976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e026e93a3b6e8cdfeb2154ebcb63bc9"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d41/a06270.html#a4e026e93a3b6e8cdfeb2154ebcb63bc9">SI_OnSave</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a4e026e93a3b6e8cdfeb2154ebcb63bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Mission settings class. </p>
<p ><a class="el" href="../../d2/d3d/a01982.html">ExpansionMissionSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00016">16</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4d52575cdff9f5b992b3187c834fd260" name="a4d52575cdff9f5b992b3187c834fd260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d52575cdff9f5b992b3187c834fd260">&#9670;&#160;</a></span>ExpansionMissionSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMissionSettings::ExpansionMissionSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00045">45</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a63aad352f58c2e7ebc9b256dbe9be766" name="a63aad352f58c2e7ebc9b256dbe9be766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63aad352f58c2e7ebc9b256dbe9be766">&#9670;&#160;</a></span>~ExpansionMissionSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMissionSettings::~ExpansionMissionSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00053">53</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7150108f45bc5d03fc57d689aa7b1dc2" name="a7150108f45bc5d03fc57d689aa7b1dc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7150108f45bc5d03fc57d689aa7b1dc2">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMissionSettings::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d50/a04474.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00080">80</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="aaaba25b686fb4eb3c7e45890b44deb80" name="aaaba25b686fb4eb3c7e45890b44deb80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaba25b686fb4eb3c7e45890b44deb80">&#9670;&#160;</a></span>CopyInternal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionMissionSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d41/a06270.html">ExpansionMissionSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00093">93</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a61915a1c311d635b197a97b6dfc7b685" name="a61915a1c311d635b197a97b6dfc7b685"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61915a1c311d635b197a97b6dfc7b685">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMissionSettings::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00201">201</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a019c1608c8277b308612c214b6fe5368" name="a019c1608c8277b308612c214b6fe5368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a019c1608c8277b308612c214b6fe5368">&#9670;&#160;</a></span>DidGenerateDefaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMissionSettings::DidGenerateDefaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00219">219</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="ac59ad1ca4f2bb5d95963d5659d4031ba" name="ac59ad1ca4f2bb5d95963d5659d4031ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac59ad1ca4f2bb5d95963d5659d4031ba">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMissionSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00114">114</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a51dd2e63665f4e3bfb01a4de38cd1eb5" name="a51dd2e63665f4e3bfb01a4de38cd1eb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51dd2e63665f4e3bfb01a4de38cd1eb5">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMissionSettings::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Move existing missions over from old location in $profile to new location in $mission</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00130">130</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a7016aae9b8ea19658855aa680fdc8f28" name="a7016aae9b8ea19658855aa680fdc8f28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7016aae9b8ea19658855aa680fdc8f28">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMissionSettings::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Don't send to client</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00062">62</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a98852f9865b856d4e38d72e20ab3fb57" name="a98852f9865b856d4e38d72e20ab3fb57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98852f9865b856d4e38d72e20ab3fb57">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMissionSettings::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00187">187</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a03456d0d046bfe434a416228534514ea" name="a03456d0d046bfe434a416228534514ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03456d0d046bfe434a416228534514ea">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionMissionSettings::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Don't send to client</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00072">72</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a050bc1063e49478a603f04c3fb9094e0" name="a050bc1063e49478a603f04c3fb9094e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050bc1063e49478a603f04c3fb9094e0">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMissionSettings::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00225">225</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a04d77ad821345f6a259ca85bae418611" name="a04d77ad821345f6a259ca85bae418611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d77ad821345f6a259ca85bae418611">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMissionSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00122">122</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac00501e04591c646a3513de71bc6819e" name="ac00501e04591c646a3513de71bc6819e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac00501e04591c646a3513de71bc6819e">&#9670;&#160;</a></span>Enabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMissionSettings::Enabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00020">20</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a7972ab5533f19a88ab62d5c92c008f00" name="a7972ab5533f19a88ab62d5c92c008f00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7972ab5533f19a88ab62d5c92c008f00">&#9670;&#160;</a></span>InitialMissionStartDelay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMissionSettings::InitialMissionStartDelay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00022">22</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a93ae2791d153c8d5431cbad015473fa6" name="a93ae2791d153c8d5431cbad015473fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93ae2791d153c8d5431cbad015473fa6">&#9670;&#160;</a></span>m_GenerateDefaults</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionMissionSettings::m_GenerateDefaults</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00034">34</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a2466c22fa5689ec13e397db1fa653d51" name="a2466c22fa5689ec13e397db1fa653d51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2466c22fa5689ec13e397db1fa653d51">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionMissionSettings::m_IsLoaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00040">40</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="aa20c333ff3d040f25453e48457f92675" name="aa20c333ff3d040f25453e48457f92675"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa20c333ff3d040f25453e48457f92675">&#9670;&#160;</a></span>MaxMissions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMissionSettings::MaxMissions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00026">26</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="aeab5cd23ee9a3f634256dd2a1361d824" name="aeab5cd23ee9a3f634256dd2a1361d824"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeab5cd23ee9a3f634256dd2a1361d824">&#9670;&#160;</a></span>MinMissions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMissionSettings::MinMissions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00025">25</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a713093377a3e6149b505b2bd9707b4b4" name="a713093377a3e6149b505b2bd9707b4b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a713093377a3e6149b505b2bd9707b4b4">&#9670;&#160;</a></span>MinPlayersToStartMissions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMissionSettings::MinPlayersToStartMissions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00028">28</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="aef2869d78ca7f285bc04e9f91c99bc70" name="aef2869d78ca7f285bc04e9f91c99bc70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef2869d78ca7f285bc04e9f91c99bc70">&#9670;&#160;</a></span>Missions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; ref <a class="el" href="../../d1/d66/a06266.html">ExpansionMissionMeta</a> &gt; ExpansionMissionSettings::Missions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00031">31</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a4e026e93a3b6e8cdfeb2154ebcb63bc9" name="a4e026e93a3b6e8cdfeb2154ebcb63bc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e026e93a3b6e8cdfeb2154ebcb63bc9">&#9670;&#160;</a></span>SI_OnSave</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionMissionSettings::SI_OnSave = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00037">37</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="aaa86a376577f1125ec17397e9d79333c" name="aaa86a376577f1125ec17397e9d79333c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa86a376577f1125ec17397e9d79333c">&#9670;&#160;</a></span>TimeBetweenMissions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMissionSettings::TimeBetweenMissions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00023">23</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<a id="a67a39ce27034dae84e91b9185e513976" name="a67a39ce27034dae84e91b9185e513976"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67a39ce27034dae84e91b9185e513976">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionMissionSettings::VERSION = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3d/a01982_source.html#l00018">18</a> of file <a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Missions/Scripts/3_game/dayzexpansion_missions/missions/<a class="el" href="../../d2/d3d/a01982_source.html">expansionmissionsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d41/a06270.html">ExpansionMissionSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
